      ***************************************************************
       GET-ORIGINAL-NAMES.
      ***************************************************************
      *    Component Name Extraction Routine for C++, C#, Java      *
      ***************************************************************
      **                                Extract Original Names
           MOVE PATH-NAME TO NAME-STRING.
           MOVE STRING-LNG TO I.
           PERFORM UNTIL NAME-CHAR (I) = '\'
                      OR I < 2
              SUBTRACT 1 FROM I
           END-PERFORM.
           MOVE I TO J
      **                               Extract Original Table Name
           MOVE SPACES TO CASE-TAB-NAME
           IF J > 1
              ADD 1 TO J
           END-IF
           MOVE ZERO TO K
           PERFORM UNTIL NAME-CHAR (J) = '\'
                      OR NAME-CHAR (J) = '.'
                      OR NAME-CHAR (J) = ' '
                      OR K > 40
              ADD 1 TO K
              MOVE NAME-CHAR (J) TO CASE-TAB-NAME (K:1)
              ADD 1 TO J
           END-PERFORM.
      ***************************************************************
      **                               Extract Component Name
           IF NAME-CHAR (I) = '\'
              SUBTRACT 1 FROM I
           END-IF.
           PERFORM UNTIL NAME-CHAR (I) = '\'
                      OR I < 2
              SUBTRACT 1 FROM I
           END-PERFORM.
           MOVE I TO J
           ADD  1 TO J
           MOVE SPACES TO COMPONENT-NAME
           MOVE ZERO TO K
           PERFORM UNTIL NAME-CHAR (J) = '\'
                      OR NAME-CHAR (J) = '.'
                      OR NAME-CHAR (J) = ' '
                      OR K > 40
              ADD 1 TO K
              MOVE NAME-CHAR (J) TO COMPONENT-NAME (K:1)
              ADD 1 TO J
           END-PERFORM.
TEST***    DISPLAY 'Comp Name  = ' COMPONENT-NAME
TEST***    DISPLAY 'Table Name = ' CASE-TAB-NAME
TEST***    ACCEPT  CONTINUE-KEY.
      **
      ***************************************************************
      ***   Get the Text Name
       GET-SHORT-NAMES.
      **                               Extract Module Name
           MOVE SPACES TO MODULE-NAME
           MOVE INPUT-FILE TO NAME-STRING.
           MOVE STRING-LNG TO J.
           PERFORM UNTIL NAME-CHAR (J) = '\'
                      OR J < 2
              SUBTRACT 1 FROM J
           END-PERFORM.
           SUBTRACT 1 FROM J.
           PERFORM UNTIL NAME-CHAR (J) = '\'
                      OR J < 2
              SUBTRACT 1 FROM J
           END-PERFORM.
           ADD 1 TO J
           MOVE 0 TO K
           PERFORM UNTIL NAME-CHAR (J) = '\'
                      OR NAME-CHAR (J) = ' '
                      OR K > 8
              ADD 1 TO K
              MOVE NAME-CHAR (J) TO MODULE-NAME (K:1)
              ADD 1 TO J
           END-PERFORM.
TEST***    DISPLAY 'Mod  Name  = ' MODULE-NAME.
      ***************************************************************
      **                              Extract the File Name & Type
           MOVE SPACES TO FILE-NAME
           MOVE SPACES TO FILE-TYPE
           MOVE STRING-LNG TO J.
           PERFORM UNTIL J < 2
                      OR NAME-CHAR (J) = '.'
                      OR NAME-CHAR (J) = '\'
              SUBTRACT 1 FROM J
           END-PERFORM
      **                               Get the Input File Type
           IF NAME-CHAR (J) = '.'
              ADD 1 TO J
              MOVE NAME-STRING (J:3) TO FILE-TYPE
              SUBTRACT 2 FROM J
              PERFORM UNTIL J = 1
                         OR NAME-CHAR (J) = '\'
                 SUBTRACT 1 FROM J
              END-PERFORM
           END-IF
      **                               Get the Input File Name
           ADD 1 TO J.
           MOVE 1 TO K.
           PERFORM UNTIL K > NAME-MAX
                         OR  NAME-CHAR (J) = ' '
                         OR  NAME-CHAR (J) = '.'
              MOVE NAME-CHAR (J) TO FILE-NAME (K:1)
              ADD 1 TO K
              ADD 1 TO J
           END-PERFORM.
TEST***    DISPLAY 'File Name  = ' FILE-NAME.
TEST***    DISPLAY 'File Type  = ' FILE-TYPE.
TEST***    ACCEPT  CONTINUE-KEY.
      *************************************************************
