      ***************************************************************
      * Deficiency Messages for TCS
      ***************************************************************
      *
       01  TCS-DEFI-MESSAGES.
           05  MESSAGE-TAB.
      ****************************************************************
      * Major TCS Rule Violations
               10  TCS-Rule-1                  PIC X(50) VALUE
ENG           'Test Case has no unique identifier                '.
               10  TCS-Rule-2                  PIC X(50) VALUE
ENG           'Test Case has no distinct type                    '.
               10  TCS-Rule-3                  PIC X(50) VALUE
ENG           'Test Case is not linked to a requirement          '.
               10  TCS-Rule-4                  PIC X(50) VALUE
ENG           'Test Case is not linked to a Use Case             '.
               10  TCS-Rule-5                  PIC X(50) VALUE
ENG           'Test Case is not linked to an Object              '.
               10  TCS-Rule-6                  PIC X(50) VALUE
ENG           'Test Case is not assigned to a tester             '.
      ****************************************************************
      * Media TCS Rule Violations
               10  TCS-Rule-7                  PIC X(50) VALUE
ENG           'Test Case has no Pre  Condition                   '.
               10  TCS-Rule-8                  PIC X(50) VALUE
ENG           'Test Case has no Post Condition                   '.
               10  TCS-Rule-9                  PIC X(50) VALUE
ENG           'Test Case has no Triggering Event                 '.
               10  TCS-Rule-10                 PIC X(50) VALUE
ENG           'Test Case has no valid status                     '.
               10  TCS-Rule-11                 PIC X(50) VALUE
ENG           'Test Case has no Date Attribute                   '.
               10  TCS-Rule-12                 PIC X(50) VALUE
ENG           'Test Case automation status is missing            '.
      ****************************************************************
      * Minor CTF Rule Violations
               10  TCS-Rule-13                 PIC X(50) VALUE
ENG           'Test Case purpose is missing                      '.
               10  TCS-Rule-14                 PIC X(50) VALUE
ENG           'Test Case source is missing                       '.
               10  TCS-Rule-15                 PIC X(50) VALUE
ENG           'Test Case preceding test case is missing          '.
               10  TCS-Rule-16                 PIC X(50) VALUE
ENG           'Test Case Priority is missing                     '.
               10  TCS-Rule-17                 PIC X(50) VALUE
ENG           'Required Testcase Attribute is missing            '.
               10  TCS-Rule-18                 PIC X(50) VALUE
ENG           'Max Limit of Test Cases is exceeded               '.
               10  TCS-Rule-19                 PIC X(50) VALUE
ENG           'Max Limit of TestCase Attributes exceeded         '.
               10  TCS-Rule-20                 PIC X(50) VALUE
ENG           'Max Number of Actions to test is exceeded         '.
               10  TCS-Rule-21                 PIC X(50) VALUE
ENG           'Max Number of States to test is exceeded          '.
               10  TCS-Rule-22                 PIC X(50) VALUE
ENG           'Max Number of Rules to test is exceeded           '.
               10  TCS-Rule-23                 PIC X(50) VALUE
ENG           'Max Limit for Test Inputs is exceeded             '.
               10  TCS-Rule-24                 PIC X(50) VALUE
ENG           'Max Limit for Test Outputs is exceeded            '.
               10  TCS-Rule-25                 PIC X(50) VALUE
ENG           'Max Limit for Test Parameters is exceeded         '.
      ****************************************************************
           05  DEFI-MSG-TAB        REDEFINES MESSAGE-TAB.
               10  DEFI-MSG                  PIC X(50) OCCURS 25 TIMES.
      *
      ****************************************************************
